package com.fxy.detection.bean;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.ArrayList;
import java.util.List;

/**
 * 处理主机查验bean
 */
public class DealDiffBean implements Parcelable  {

    private String box_number = ""; //
    private String unit_code = ""; //
    private String node_code = ""; //
    private String result = ""; //
    private List<NeedPhotoBean> need_photos = new ArrayList<>(); //
    public DealDiffBean(){
    }


    protected DealDiffBean(Parcel in) {
        box_number = in.readString();
        unit_code = in.readString();
        node_code = in.readString();
        result = in.readString();
        need_photos = in.createTypedArrayList(NeedPhotoBean.CREATOR);
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(box_number);
        dest.writeString(unit_code);
        dest.writeString(node_code);
        dest.writeString(result);
        dest.writeTypedList(need_photos);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<DealDiffBean> CREATOR = new Creator<DealDiffBean>() {
        @Override
        public DealDiffBean createFromParcel(Parcel in) {
            return new DealDiffBean(in);
        }

        @Override
        public DealDiffBean[] newArray(int size) {
            return new DealDiffBean[size];
        }
    };

    public String getBoxNumber() {
        return box_number;
    }

    public void setBoxNumber(String box_number) {
        this.box_number = box_number;
    }


    public String getUnitCode() {
        return unit_code;
    }

    public void setUnitCode(String unit_code) {
        this.unit_code = unit_code;
    }

    public String getNodeCode() {
        return node_code;
    }

    public void setNodeCode(String node_code) {
        this.node_code = node_code;
    }



    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }


    public List<NeedPhotoBean> getNeedPhotos() {
        return need_photos;
    }

    public void setNeedPhotos(List<NeedPhotoBean> need_photos) {
        this.need_photos = need_photos;
    }
}
